﻿using System.ComponentModel.Composition;
using System.Windows;
using Microsoft.Practices.ServiceLocation;
using DataBrowser.Infrastructure;
using Microsoft.Practices.Prism.Events;
using Microsoft.Practices.Prism.Regions;

namespace DataBrowser.ViewModel
{
    [Export(typeof(TabedViewModel))]
    public class TabedViewModel : DependencyObject
    {
        public TabedViewModel()
        {
            ServiceLocator.Current.GetInstance<IEventAggregator>().GetEvent<LoadFile>().Subscribe(OnFileLoaded);            
        }

        private void OnFileLoaded(string fileName)
        {
            IRegionManager regionManager = ServiceLocator.Current.GetInstance<IRegionManager>();
            //var content = ServiceLocator.Current.GetInstance<CompositeViewModel>();
            if (regionManager != null)
            {
                regionManager.RegisterViewWithRegion("TabGroupPaneRegion", typeof(CompositeViewModel));
            }           
        }
    }
}
